Subject: Re: [PATCH] xfrm: Add pre-encap fragmentation for packet offload

From: Leon Romanovsky <[email-masked]>
Date: Thu, 28 Nov 2024 14:14:20 +0200

On Thu, Nov 28, 2024 at 10:25:23AM +0100, Steffen Klassert wrote:
> On Tue, Nov 26, 2024 at 03:21:45PM +0200, Leon Romanovsky wrote:
> > On Tue, Nov 26, 2024 at 01:59:31PM +0100, Steffen Klassert wrote:
> > > On Tue, Nov 26, 2024 at 10:35:13AM +0200, Leon Romanovsky wrote:
> > > > 
> > > > Steffen, do we need special case for packet offload here? My preference is
> > > > to make sure that we will have as less possible special cases for packet
> > > > offload.
> > > 
> > > Looks like the problem on packet offload is that packets
> > > bigger than MTU size are dropped before the PMTU signaling
> > > is handled.
> > 
> > But PMTU should be less or equal to MTU, even before first packet was
> > sent. Otherwise already first packet will be fragmented.
> 
> Atually I ment PMTU. On packet offload, we just drop packets bigger
> than PMTU. We need to make sure that xfrm{4,6}_tunnel_check_size
> is called. This will either fragment or do PMTU signaling.

Right, I'll check it next week (change is clear, need some time to set
testing setup).

Thanks